## ros-galactic-irobot-create-ignition-bringup 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(irobot_create_ignition_bringup)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ros_ign_interfaces QUIET)

if(NOT ros_ign_interfaces_FOUND)
  message(WARNING "ros_ign_interfaces not found. Skipping ${PROJECT_NAME} package.")
  ament_package()
  return()
endif()

install(
  DIRECTORY gui launch worlds config
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-galactic-irobot-create-ignition-bringup (1.0.3-1focal) focal; urgency=high

  * make gazebo classic and ignition build time dependency if they are needed by CMakeLists.txt (#179 <https://github.com/iRobotEducation/create3_sim/issues/179>)
  * Contributors: Alberto Soragna

 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 05 May 2022 07:00:00 -0000

ros-galactic-irobot-create-ignition-bringup (1.0.2-1focal) focal; urgency=high

  * fix dependency tree of create3_sim packages (#177 <https://github.com/iRobotEducation/create3_sim/issues/177>)
  * update changelog
  * Contributors: Alberto Soragna

 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 05 May 2022 07:00:00 -0000

ros-galactic-irobot-create-ignition-bringup (1.0.1-1focal) focal; urgency=high

  * add boost as explicit dependency and remove unnneded boost usage (#175 <https://github.com/iRobotEducation/create3_sim/issues/175>)
    * add boost as explicit dependency and remove unnneded boost usage
    * do not search for boost component in Boost library

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 12 Apr 2022 07:00:00 -0000

ros-galactic-irobot-create-ignition-bringup (1.0.0-1focal) focal; urgency=high

  * Use package:// to reference meshes (#168 <https://github.com/iRobotEducation/create3_sim/issues/168>)
    * Set GAZEBO_MODEL_URI to empty string to prevent model downloads.
    Added /usr/share/gazebo-11/models/ to GAZEBO_MODEL_PATH to use local ground plane and sun models.
    Using package:// instead of file:// for mesh paths.
    * Append to GAZEBO_MODEL_PATH
  * Split irobot_create_toolbox (#153 <https://github.com/iRobotEducation/create3_sim/issues/153>)
    * rename irobot_create_toolbox into irobot_create_nodes
    * move common utilities to irobot_create_toolbox
    * register irobot_create_nodes as rclcpp_components
    * update readme
    * use new node names in parameter files
    * remove declare parameter utility and fix linter tests
  * Added pose publisher (#154 <https://github.com/iRobotEducation/create3_sim/issues/154>)
  * Use ign_ros2_control (#148 <https://github.com/iRobotEducation/create3_sim/issues/148>)
    * Use ign_ros2_control
    * Removed remapping
    * Documentation
  * fix gazebo ignition world name (#150 <https://github.com/iRobotEducation/create3_sim/issues/150>)
  * Ignition Gazebo support (#144 <https://github.com/iRobotEducation/create3_sim/issues/144>)
    * Updated URDF to work with both gazebo classic and ignition:
    - Added gazebo arg to create3.urdf.xacro and standard_dock.urdf.xacro. This arg sets which gazebo version to use.
    - Added ray sensor macro which creates the correct sensor given the gazebo arg
    - Added ignition plugins when gazebo=ignition
    - Adjusted front caster position to better align with the create3 model
    - Adjusted wheeldrop spring stiffness to compensate for the front caster position change
    * Launch joint_state_publisher and diffdrive_controller only in classic
    * Use joint_state_publisher for both ignition and classic
    Cleaned up gazebo launch arg
    Adjusted front caster position
    * Simulation -> simulator
    * Added irobot_create_ignition packages
    * Fixed some linter warnings
    * Removed joint state publisher from ros_ign_bridge
    * - Reorganized packages
    - Shifted center of gravity of create3 forwards by 22.8 mm
    - Added min/max velocity and acceleration to diff drive plugin
    * Moved README.md to irobot_create_gazebo
    Created new README.md for irobot_create_ignition
    * Update README.md
    * Added ignition edifice repos for source installation
    * Create README.md
    * Added missing dependency
    * Renamed dock to standard_dock
    Center of gravity offset only applied in ignition for now
    * Fixed Linter errors
    * Updated README to have installation and example instructions for both Ignition and Classic
    Moved .repos files to the root of the repository
    * Ignition and Gazebo packages are now optional and only built if the required dependencies are installed
    * Made ros_ign_interfaces optional in irobot_create_ignition_bringup
    * fix license and minor changes to CMake and README
    * Interface buttons mock publisher not used in Ignition sim
    * Fixed linter errors
    Co-authored-by: Alberto Soragna <mailto:alberto.soragna@gmail.com>
  * Contributors: Alberto Soragna, Alejandro Hernández Cordero, roni-kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 31 Mar 2022 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-irobot-create-ignition-bringup
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-cppcheck <!nocheck>, ros-galactic-ament-cmake-cpplint <!nocheck>, ros-galactic-ament-cmake-flake8 <!nocheck>, ros-galactic-ament-cmake-lint-cmake <!nocheck>, ros-galactic-ament-cmake-pep257 <!nocheck>, ros-galactic-ament-cmake-uncrustify <!nocheck>, ros-galactic-ament-cmake-xmllint <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ros-ign-interfaces, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-irobot-create-ignition-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-geometry-msgs, ros-galactic-ign-ros2-control, ros-galactic-irobot-create-common-bringup, ros-galactic-irobot-create-description, ros-galactic-irobot-create-ignition-plugins, ros-galactic-irobot-create-ignition-toolbox, ros-galactic-irobot-create-msgs, ros-galactic-ros-ign-bridge, ros-galactic-ros-ign-gazebo, ros-galactic-ros-ign-interfaces, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: Provides launch and configuration scripts for a Ignition simulated iRobot(R) Create(R) 3 Educational Robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-irobot-create-ignition-bringup//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
